### A modpack to show that risky never dies, only sleeps.

# Installation

  1. Either use r2modman or extract the mega folder into your risky folder.

  I ain't holding your hand.

# Additional Info

## Configuring Mods

Mods can be configured by editing the files in `BepinEx/config`

## Drop in Multiplayer

After joining a game in progress, type:

`join_as [survivor]`

into chat to pick your character

e.g. `join_as merc`

## Dropping Items

Items can be dropped for other players by holding tab and clicking the item in your inventory.

## Host Commands

Host can run commands through the debug console by pressing `ctrl+alt+~`

The full list of commands is here:

https://thunderstore.io/package/Harb/DebugToolkit/

## Why no UnmoddedVersion?

Enforcer straight up does not work with Vanilla players because it adds a brand new model to the game.

Don't think there's anything that can be done there.

# Mod Overview

## Core Mods

### BepinEx

- Needs no introduction.

### R2API

- Modding library used by a lot of stuff.

### TooManyFriends

- Allows for 10 man risky lobbies.

### DropinMultiplayer

- Join in Progress

## Survivor Stuff

### BanditReloaded

- A highly polished release of the cut survivor Bandit (never ever hopoo)

### Playable Templar

- Adds in a Clay Templar Survivor for maximum BRRRRRR.

### Enforcer

- Remakes Enforcer from RoR1, lawman is back.

## Quality of Life

### Hostan

#### DebugToolkit

- Helps debug mods when they go off. Also adds some admin-esque commands for managing the game.

### Items

#### EmptyChestsBeGone

- Remove already looted chests from sight.

#### Faster3dPrinters

- Vanilla printers too slow, makes em faster.

#### FasterScrapper

- Speeds up Scrappers.

#### ItemExchangeNotifier

- Notifies you in chat of what items were lost to cauldrons/printers, as the hover popup is easily missed.

#### Yeet

- Allows you to drop items by clicking on your inventory, for when you pick up Engi's Fungus.

### UI

#### BetterUI

- Adds a  bunch of QOL changes to the interface.

#### ItemStatsMod

- Shows exact stacking information for items when hovered in your inventory.

#### ShowDeathCause

- Notifies in chat cause of death when allies die, for when you ask "wtf killed me"

#### ScannerPlusOne

- Makes scanner suck less, uses actual ping icons instead of useless question marks.

### Misc

#### AutoSkipIntroCutscene

- Seeing it once is enough.

#### NoStoreKick

- You don't get kicked out of the Bazaar for attacking the newt. No more gesture capacitor ruining everyone's fun.

# Changelog

`v1.0.7`

- Updated PlayableTemplar
- Updated SkipEarlyAccessScreen
- Updated Yeet
- Added BetterUI
- Added Enforcer
- Added ItemStatsMod
- Removed CommuniKeys
- Removed PhaseRoundLightning

`v1.0.6`

Dropin Lives Again

- Updated R2API
- Updated NoStoreKick
- Added CommuniKeys
- Added DropinMultiplayer
- Added PhaseRoundLightning
- Added Yeet
- Removed BazaarPrinter (Bazaar Mods felt superfluous with the introduction of Scrappers)
- Removed BetterBazaar

`v1.0.5`

Updated for 1.0.

Trying to keep it slim, and stick to regularly updated mods.

- Updated BepinEx
- Updated R2API
- Updated TooManyFriends
- Updated BanditReloaded
- Updated BazaarPrinter
- Updated BiggerBazaar
- Updated DebugToolkit
- Updated PlayableTemplar
- Updated ScannerPlusOne
- Updated ShowDeathCause
- Added AutoSkipIntroCutscene
- Added EmptyChestsBeGone
- Added ItemExchangeNotifier
- Added NoStoreKick
- Removed ArtificerToggleHover
- Removed BepinExConfigurationManager
- Removed DropinMultiplayer (Update when?)
- Removed ItemStatsMod
- Removed LighterPatcher
- Removed LunarCoinShareOnPickup
- Removed MULTBuff
- Removed NoBazaarKickOut
- Removed OrderedItems
- Removed SkipEarlyAccessScreen
- Removed SolidIceWall

`v1.0.4`

Last version was full of issues (Continue button broke, people failed to spawn in, etc)

This release heavily slims down the modpack in order to improve stability.

Also Removed some of the more controversial mods (sorry Sniper/Arti).

- Updated PlayableTemplar
- Removed Artificer Extended (Cute, but overall the changes were too much. Want to stay more vanilla in the future)
- Removed Alternative Artificer (same as above)
- Removed Sniper (Caused issues with some players)
- Removed StatsDisplay (Full of Console spam errors, marked deprecated in thunderstore)
- Removed EmptyChestsBeGone
- Removed ItemExchangeNotifier (Didn't work a lot of the time)
- Removed BalancedObliterate (This + Shared Lunar winded up giving too many coins)
- Removed Pingprovements (Was causing issues for some)
- Removed Silly Items (Cute, but maybe too silly)

`v1.0.3`

- Add BazaarPrinter
- Add SkipEarlyAccessScreen

`v1.0.2`

- Update Readme

`v1.0.1`

- Add DebugToolkit
- Add BepinExConfigurationManager
- Add LighterPatcher
- Add PlayableTemplar

`v1.0.0`

- Initial release
